Article ID: 124705, created on Mar 3, 2015, last review on Mar 6, 2015

  • Applies to:
  • Plesk for Linux/Unix


Upgrade from Plesk 9.5 to Plesk 11.5: would PHP version remain after the upgrade?


Normally, Parallels Plesk Panel should keep the version of PHP that was installed prior to the upgrade, however, there are several thing that are to be taken into consideration:

  1. Even the installed PHP version should remain, it still mgiht be upgraded due to dependencies (if some Plesk components required newer PHP version, PHP might be automatically updated to the required version during the Plesk 9.5 -> 11.5 upgrade).

  2. Parallels Plesk Panel 11.5 supports multiple PHP version. For more information please refer to whats new page

  3. Paralells Plesk Panel is yum-based, meaning during Plesk upgrade, it would download and install PHP from the OS vendor repositories. Therefore, PHP version available also depends on the supported OS PHP version.

Therefore, in order to be sure the necessary PHP version would remain after the upgrade, it is recommended to use migration to Plesk 11.5 instead of a common Upgrade procedure.

29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c

Email subscription for changes to this article
Save as PDF